title1 1976 CENSUS OF CANADA- BST: EA-SHORT FORM- EADHHA10
title2 SAS commands by S Kumar, UT/DLS 07/2001
// JOB
/*SERVICE ?
/*ROUTE PRINT RMT402
//  EXEC SAS
//SASLIB  DD DSN=
//IN  DD DSN=
//OUT  DD DSN=
//SYSIN  DD *
PROC FORMAT DDNAME=SASLIB;
VALUE  V1_F   10         = 'NEWFOUNDLAND'
             11         = 'PR EDWARD ISLAND'
             12         = 'NOVA SCOTIA'
             13         = 'NEW BRUNSWICK'
             24         = 'QUEBEC'
             35         = 'ONTARIO'
             46         = 'MANITOBA'
             47         = 'SASKATCHEWAN'
             48         = 'ALBERTA'
             59         = 'BRITISH COLUMBIA'
             60         = 'YUKON TERRITORY'
             61         = 'NW TERRITORIES'
             00         = 'CANADA'
       ;
VALUE  V7_F   1          = '500000 & UP'
             2          = '100000-499999'
             3          = '30000-99999'
             4          = '10000-29999'
             5          = '5000-9999'
             6          = '2500-4999'
             7          = '1000-2499'
             8          = '0-999'
       ;
VALUE  V11_F   1          = 'CENTRAL CITY'
             2          = 'REMAINDER OF COR'
             3          = 'URBAN FRINGE'
             4          = 'RURAL FRINGE'
             0          = 'NOT A CMA/CA'
       ;
VALUE  V12_F   1          = 'CMA'
             2          = 'CA'
             0          = 'NOT CMA OR CA'
       ;
VALUE  V14_F   1          = '100000 & UP'
             2          = '50000-99999'
             3          = '25000-49999'
             4          = '10000-24999'
             5          = '5000-9999'
             6          = '2000-4999'
             7          = '1000-1999'
             0          = 'NOT A CMA-CA'
       ;
VALUE  V18_F   1          = 'URBAN'
             0          = 'RURAL'
       ;
VALUE  V19_F   1          = '500000 & UP'
             2          = '100000-499999'
             3          = '30000-99999'
             4          = '10000-29999'
             5          = '5000-9999'
             6          = '2500-4999'
             7          = '1000-2499'
             8          = '0-999'
             0          = 'RURAL'
       ;
VALUE  V21_F   1          = 'CANADA'
             2          = 'PROV & TERRITORI'
             3          = 'FED ED'
             5          = 'ENUM AREA'
       ;
DATA OUT.???;
INFILE IN.???;
INPUT  PROV   1-2
       FED   3-5
       EA   6-8
       CD   9-10
       CSD   11-14
       SGCCDCSD   15-19
       CSDSIZE   20-20
       CSDTYPE   21-22
       CCS   23-26
       CMACA   27-29
       CMACAPT   30-30
       CMACASEL   31-31
       SGCCMACA   32-34
       CMACASIZ   35-35
       CTPCTCOD   36-39
       CTPCTNUM   40-45
       SUBPREG   46-47
       URBRUR   48-48
       URBSIZE   49-49
       BLANK1   50-51
       RECTYPE   52-52
       V1   53-61
       V2   62-70
       V3   71-79
       V4   80-88
       V5   89-97
       V6   98-106
       V7   107-115
       V8   116-124
       V9   125-133
       V10   134-142
       V11   143-151
       V12   152-160
       V13   161-169
       V14   170-178
       V15   179-187
       V16   188-196
       V17   197-205
       V18   206-214
       V19   215-223
       V20   224-232
       V21   233-241
       V22   242-250
       V23   251-259
       V24   260-268
       V25   269-277
       V26   278-286
       V27   287-295
       V28   296-304
       V29   305-313
       V30   314-322
       V31   323-331
       V32   332-340
       V33   341-349
       V34   350-358
       V35   359-367
       V36   368-376
       V37   377-385
       V38   386-394
       V39   395-403
       V40   404-412
       V41   413-421
       V42   422-430
       V43   431-439
       V44   440-448
       V45   449-457
       V46   458-466
       V47   467-475
       V48   476-484
       V49   485-493
       V50   494-502
       V51   503-511
       V52   512-520
       V53   521-529
       V54   530-538
       V55   539-547
      ;
LABEL   PROV = 'Province (region)'
        FED = 'Federal electroral district'
        EA = 'Enumeration area'
        CD = 'Census division'
        CSD = 'Census subdivision'
        SGCCDCSD = 'Standard geographic code for CD/CSD'
        CSDSIZE = 'Census subdivision pop size gp'
        CSDTYPE = 'Census subdivision type code'
        CCS = 'Census consolidated subdivision'
        CMACA = 'CMA/CA area code'
        CMACAPT = 'CMA/CA part'
        CMACASEL = 'CMA/CA selector'
        SGCCMACA = 'Standard geographic code for CMA-CA'
        CMACASIZ = 'CMA-CA pop size gp'
        CTPCTCOD = 'Census tract or prov CT code'
        CTPCTNUM = 'Census tract or prov CT number'
        SUBPREG = 'Subprovincial region'
        URBRUR = 'Urban-Rural area'
        URBSIZE = 'Urban area pop size gp'
        BLANK1 = 'Blank- for future use'
        RECTYPE = 'Record type'
        V1 = 'Tot occ pvt dwl: tot'
        V2 = 'Tot occ pvt dwl: double house'
        V3 = 'Tot occ pvt dwl: row house'
        V4 = 'Tot occ pvt dwl: attached to a non-residential str'
        V5 = 'Tot occ pvt dwl: tot single attached'
        V6 = 'Tot occ pvt dwl: single detached'
        V7 = 'Tot occ pvt dwl: apartment'
        V8 = 'Tot occ pvt dwl: duplex'
        V9 = 'Tot occ pvt dwl: movable'
        V10 = 'Owned- occ pvt dwl: tot'
        V11 = 'Owned- occ pvt dwl: double house'
        V12 = 'Owned- occ pvt dwl: row house'
        V13 = 'Owned- occ pvt dwl: attached to a non-residential str'
        V14 = 'Owned- occ pvt dwl: tot single attached'
        V15 = 'Owned- occ pvt dwl: single detached'
        V16 = 'Owned- occ pvt dwl: apartment'
        V17 = 'Owned- occ pvt dwl: duplex'
        V18 = 'Owned- occ pvt dwl: movable'
        V19 = 'Rented- occ pvt dwl: tot'
        V20 = 'Rented- occ pvt dwl: double house'
        V21 = 'Rented- occ pvt dwl: row house'
        V22 = 'Rented- occ pvt dwl: attached to a non-residential str'
        V23 = 'Rented- occ pvt dwl: tot single attached'
        V24 = 'Rented- occ pvt dwl: single detached'
        V25 = 'Rented- occ pvt dwl: apartment'
        V26 = 'Rented- occ pvt dwl: duplex'
        V27 = 'Rented- occ pvt dwl: movable'
        V28 = 'Tot occ pvt dwl: tot hhd'
        V29 = 'Tot occ pvt dwl: one fam hhd'
        V30 = 'Tot occ pvt dwl: multiple fam hhd'
        V31 = 'Tot occ pvt dwl: tot fam hhd'
        V32 = 'Tot occ pvt dwl: non-fam hhd'
        V33 = 'Owned- occ pvt dwl: tot hhd'
        V34 = 'Owned- occ pvt dwl: one fam hhd'
        V35 = 'Owned- occ pvt dwl: multiple fam hhd'
        V36 = 'Owned- occ pvt dwl: tot fam hhd'
        V37 = 'Owned- occ pvt dwl: non-fam hhd'
        V38 = 'Rented- occ pvt dwl: tot'
        V39 = 'Rented- occ pvt dwl: one fam hhd'
        V40 = 'Rented- occ pvt dwl: multiple fam hhd'
        V41 = 'Rented- occ pvt dwl: tot fam hhd'
        V42 = 'Rented- occ pvt dwl: non-fam hhd'
        V43 = 'Tot pvt hhd'
        V44 = 'Fam of hhd hd:without addnl person'
        V45 = 'Fam of hhd hd: with addnl person'
        V46 = '1 fam hhd: fam of hhd hd'
        V47 = '1 fam hhd: other than that of hhd hd'
        V48 = 'Tot 1 fam hhd'
        V49 = 'Multiple fam hhd:with fam of hhd hd'
        V50 = 'Multiple fam hhd: with no fam of hhd hd'
        V51 = 'Tot multiple fam hhd'
        V52 = 'Tot fam hhd'
        V53 = 'Non-fam hhd: 1 person only'
        V54 = 'Non-fam hhd: 2 or more persons'
        V55 = 'Tot non-fam hhd'
      ;
FORMAT  PROV              V1_F.
        CSDSIZE           V7_F.
        CMACAPT           V11_F.
        CMACASEL          V12_F.
        CMACASIZ          V14_F.
        URBRUR            V18_F.
        URBSIZE           V19_F.
        RECTYPE           V21_F.
;
